iT邦幫忙

0

Visual Studio 2017 專案發行問題

我希望我發行好的程式在電腦執行時不需要安裝最新版的.NET Framework 4.6.1
我已經調整成.NET Framework 4.5 即可 可是為什麼還是要.NET Framework 4.6.1 ??

http://ithelp.ithome.com.tw/upload/images/20170903/20103061nRgImlLrZY.png

2 個回答

1
小魚
iT邦高手 1 級 ‧ 2017-09-03 01:14:56
最佳解答

.Net要調整不是只調那個選項就好了,
還要改其他的東西,
不過其實有點複雜我也不是那麼了解,
最簡單的方式就是重新開一個新的.Net 4.5專案,
然後將自己建的cs檔案等等移過來,
(如果你要重新建立再複製貼上也可以,這樣比較麻煩但比較不容易出錯)
重新再編譯應該就可以了。

0
石頭
iT邦研究生 3 級 ‧ 2017-09-03 09:21:22

因為你沒儲存設定吧~~
設定完記得要 ctrl+S

小魚 iT邦高手 1 級 ‧ 2017-09-03 10:18:30 檢舉

應該還要重新編譯,
不過我印象中只做這個動作在某些狀況下會出錯...

石頭 iT邦研究生 3 級 ‧ 2017-09-03 11:21:39 檢舉

因為我看到他左邊的[應用程式]有*
所以版主可能沒有儲存

d2598798 iT邦新手 5 級 ‧ 2017-09-03 14:28:10 檢舉

我有儲存還是沒有用

我要發表回答

立即登入回答